bl_info = {
        "name": "MayaTypeComponentSelector",
        "description": " allows select component through Object mode in blender 2.8 beta (keys 1,2,3,4), with Ant_HotKeys_Blender2.8.py  allows work closer to Maya style",
        "author" : "Anton Ivichev - Ant3d",
        "version" : ( 1, 0 ),
        "blender" : ( 2, 8, 0),
        "warning" : " use only with Ant_HotKeys_Blender2.8.py, or setup hotkey manually, don't delete default preference and hotkeys!",
        "support" : " ant3d.Artstation.com ", 
        "category" : "Maya style interaction"
    }

import bpy
from bpy.types import Menu

class OBJECT_OT_myVertexSelect(bpy.types.Operator):
    
    bl_idname = "object.my_vertex_select"
    bl_label = "my_vertex_select"

    @classmethod
    def poll(cls, context):
        return context.active_object is not None

    def execute(self, context):
        bpy.ops.object.editmode_toggle()
        bpy.ops.mesh.select_mode(use_extend=False, use_expand=False, type='VERT')
        return {'FINISHED'}
    
class OBJECT_OT_myEdgeSelect(bpy.types.Operator):
    
    bl_idname = "object.my_edge_select"
    bl_label = "my_edge_select"

    @classmethod
    def poll(cls, context):
        return context.active_object is not None

    def execute(self, context):
        bpy.ops.object.editmode_toggle()
        bpy.ops.mesh.select_mode(use_extend=False, use_expand=False, type='EDGE')
        return {'FINISHED'}
    
class OBJECT_OT_myFaceSelect(bpy.types.Operator):
    
    bl_idname = "object.my_face_select"
    bl_label = "my_face_select"

    @classmethod
    def poll(cls, context):
        return context.active_object is not None

    def execute(self, context):
        bpy.ops.object.editmode_toggle()
        bpy.ops.mesh.select_mode(use_extend=False, use_expand=False, type='FACE')
        return {'FINISHED'}

classes = ( OBJECT_OT_myVertexSelect, OBJECT_OT_myEdgeSelect, OBJECT_OT_myFaceSelect )

register, unregister = bpy.utils.register_classes_factory(classes)

if __name__ == "__main__":
    register()

